%define php_extdir %(php-config --extension-dir 2>/dev/null || echo %{_libdir}/php4)                     
%define php_apiver %((echo %{default_apiver}; php -i 2>/dev/null | sed -n 's/^PHP API => //p') | tail -1)

%define php_name php
%define real_name redis

Summary:       The phpredis extension provides an API for communicating with the Redis key-value store.
Name:          %{php_name}55-pecl-redis
Version:       2.2.4
Release:       1%{?dist}
Epoch:         77

License:       PHP License
Group:         Development/Languages
URL:           https://github.com/nicolasff/phpredis
Source:        redis-2.2.4.tgz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:      php(api) = %{php_core_api}
Requires:      php(zend-abi) = %{php_zend_api}
BuildRequires: %{php_name}55-devel

%description
The phpredis extension provides an API for communicating with the Redis key-value store.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{_bindir}/phpize
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install INSTALL_ROOT=%{buildroot}

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/redis.ini << 'EOF'
; Enable redis extension module
extension = redis.so
EOF

%check
# Check if the built extension can be loaded
%{_bindir}/php \
    -n -q -d extension_dir=modules \
    -d extension=redis.so \
    --modules | grep -i redis

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CREDITS
%config(noreplace) %{_sysconfdir}/php.d/redis.ini
%{php_extdir}/redis.so

%changelog
* Wed Oct 03 2012 Denis Frolov <d.frolov81@mail.ru>
- update to 2.2.2-48-g7dfac44

* Tue Jan 18 2011 Builder <umask00@gmail.com> 77:2.1.3-1.el6
- no changelogs
